import time
import sys
import math
#
if not Misc.CurrentScriptDirectory() in sys.path:
    sys.path.append(Misc.CurrentScriptDirectory())
#
import common
#
from System.Collections.Generic import List
from System import Byte, Int32
#
#
def findRecursive(containerSerial, typeArray):
    ret_list = []
    container = Items.FindBySerial(containerSerial)
    if container != None:
        for item in container.Contains:
            if item.ItemID in typeArray:
                ret_list.append(item)
            if item.IsContainer:
                for tmp in findRecursive(item.Serial, typeArray):
                    ret_list.append(tmp)
    return ret_list
#
Misc.ClearIgnore( )
if Misc.CheckSharedValue("Pets"):
    for pet in Misc.ReadSharedValue("Pets"):
        Misc.IgnoreObject(pet)

enemy_filter = Mobiles.Filter()
enemy_filter.Enabled = True
enemy_filter.RangeMin = -1
enemy_filter.RangeMax = 6
enemy_filter.Notorieties = List[Byte](bytes([3,4,5,6]))
#
enemies = Mobiles.ApplyFilter(enemy_filter)
#Misc.SendMessage("Up CLose Enemies after is {}".format(len(up_close_enemies)))
if len(enemies) > 0 :
    enemy = Mobiles.Select(enemies, 'Nearest')
    Player.ChatSay(52, "All attack")
    Target.WaitForTarget(2000, True)
    Target.TargetExecute(enemy)
